/* Global Variables */
let baseURL = 'http://api.openweathermap.org/data/2.5/weather?zip=';
const key = '&units=imperial&appid=c590b048dd08af722007ea00a6050ffd';

// Create a new date instance dynamically with JS
let d = new Date();
let newDate = d.getMonth()+1 +'.'+ d.getDate()+'.'+ d.getFullYear();

document.getElementById('generate').addEventListener('click', performAction);

function performAction(e) {

  const zip = document.getElementById('zip').value;
  const feeling = document.getElementById('feelings').value;
  const url = `${baseURL}${zip}${key}`;
  
  getTemp(url).then(function (weather) {
      console.log(weather)

      postData('/add', { date:newDate, feeling:feeling, temp: weather.main.temp })

      .then(
          updateUI()
          );
  
  })};
  const getTemp = async (url) => {

    const resWeather = await fetch(url, {
    body : JSON.stringify(),

    });

    try {
    
        const weather = await resWeather.json();
        const temp = weather.main.temp;
        return weather;
      
       } catch (error) {
         console.log('zip code not found', error);
     }
    };
    
    const postData = async (url = '', data = {}) => {
    
    const res = await fetch(url, {
    
        method: 'POST',
    
        credentials: 'same-origin',
    
        headers: {
    
            'Content-Type': 'application/json'
         },
    
        body: JSON.stringify(data)
    });
    
    try {
    
        const newData = await res.json();
    
        console.log(newData);
    
        return newData;
    
    } catch (error) {
    
        console.log('error', error);
    
    }
    };
    
    const updateUI = async () => {
    
    const request = await fetch('/all');
    
    try {
    
        const allData = await request.json();

         for (let i = 0; i<allData.length; i++){

        document.getElementById('date').innerHTML =`Date: ${allData[i].date}`;
        document.getElementById('content').innerHTML = `Feeling: ${allData[i].feeling}`;
        document.getElementById('temp').innerHTML =`Temperature: ${allData[i].temp}`;
         }

    } catch (error) {
        
        console.log('error', error);
    }
    };
